summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorJonas Heinrich2017-08-15 17:13:28 +0200
committerJonas Heinrich2017-08-15 17:13:28 +0200
commit8e7a8c365ec0e728b2c65269799c396f5846bc61 (patch)
tree82fd27c23e4db58464939e51a39a24b2cb97493a
downloadaur-8e7a8c365ec0e728b2c65269799c396f5846bc61.tar.gz
fixed conflicts and provides parameter
-rw-r--r--.SRCINFO42
-rw-r--r--PKGBUILD66
2 files changed, 108 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..970789a7d6c
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,42 @@
+# Generated by mksrcinfo v8
+# Tue Aug 15 15:13:13 UTC 2017
+pkgbase = python-bottle-git
+ pkgdesc = A fast and simple micro-framework for small web-applications
+ pkgver = 0.11.1.r668.g13eb839
+ pkgrel = 1
+ url = http://bottlepy.org
+ arch = any
+ license = MIT
+ checkdepends = python-mako
+ checkdepends = python2-mako
+ checkdepends = python-jinja
+ checkdepends = python2-jinja
+ checkdepends = python-cherrypy
+ checkdepends = python2-cherrypy
+ checkdepends = python-twisted
+ checkdepends = python2-twisted
+ checkdepends = python-tornado
+ checkdepends = python2-tornado
+ checkdepends = python-paste
+ checkdepends = python2-paste
+ checkdepends = python-gevent
+ checkdepends = python2-gevent
+ checkdepends = python-eventlet
+ checkdepends = python2-eventlet
+ makedepends = python-setuptools
+ makedepends = python2-setuptools
+ makedepends = git
+ options = !emptydirs
+ source = git+https://github.com/defnull/bottle.git
+ sha512sums = SKIP
+
+pkgname = python-bottle-git
+ depends = python
+ provides = python-bottle
+ conflicts = python-bottle
+
+pkgname = python2-bottle-git
+ depends = python2
+ provides = python2-bottle
+ conflicts = python2-bottle
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..3b7d0f26227
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,66 @@
+# $Id$
+# Maintainer: Jonas Heinrich <onny@project-insanity.org>
+# Contributor: Jonas Heinrich <onny@project-insantiy.org>
+# Contributor: Felix Yan <felixonmars@archlinux.org>
+# Contributor: Richard Murri <admin@richardmurri.com>
+# Contributor: Farhad Shahbazi <farhad@enthusiasm.cc>
+# Contributor: Felix Kaiser <felix.kaiser@fxkr.net>
+
+pkgbase=python-bottle-git
+pkgname=("python-bottle-git" "python2-bottle-git")
+pkgver=0.11.1.r668.g13eb839
+pkgrel=1
+pkgdesc="A fast and simple micro-framework for small web-applications"
+arch=(any)
+url="http://bottlepy.org"
+license=('MIT')
+options=(!emptydirs)
+makedepends=('python-setuptools' 'python2-setuptools' 'git')
+checkdepends=('python-mako' 'python2-mako' 'python-jinja' 'python2-jinja' 'python-cherrypy'
+ 'python2-cherrypy' 'python-twisted' 'python2-twisted' 'python-tornado'
+ 'python2-tornado' 'python-paste' 'python2-paste' 'python-gevent' 'python2-gevent'
+ 'python-eventlet' 'python2-eventlet')
+source=("git+https://github.com/defnull/bottle.git")
+sha512sums=('SKIP')
+
+pkgver() {
+ cd "bottle"
+ git describe --long | sed 's/\([^-]*-g\)/r\1/;s/-/./g'
+}
+
+prepare() {
+ cp -a bottle{,-py2}
+ sed -i "1s/python/python2/" bottle-py2/bottle.py
+}
+
+check() {
+ cd "$srcdir/"bottle
+ # https://github.com/bottlepy/bottle/issues/791
+ python test/testall.py || warning 'Tests failed'
+
+ cd "$srcdir/"bottle-py2
+ python2 test/testall.py
+}
+
+package_python-bottle-git() {
+ depends=('python')
+ provides=('python-bottle')
+ conflicts=('python-bottle')
+
+ cd bottle
+ python setup.py install --root="$pkgdir" --optimize=1
+ install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}
+
+package_python2-bottle-git() {
+ depends=('python2')
+ provides=('python2-bottle')
+ conflicts=('python2-bottle')
+
+ cd bottle-py2
+ python2 setup.py install --root="$pkgdir" --optimize=1
+ install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+
+ # deal with conflict with python-bottle's /usr/bin/bottle.py
+ mv "$pkgdir"/usr/bin/bottle.py{,2}
+}